API reference
Send a test event
Send a webhook.test event to one endpoint now, signed like any other, and return the delivery with the status code your endpoint answered. Sent once and not retried. Works on an endpoint that is turned off, so you can check it before turning it back on. Does not use credits.
Needs scope webhooks:write.
POST
/
webhooks
/
{webhookId}
/
test
Send a test event
curl --request POST \
--url https://api.revcenter.ai/v1/webhooks/{webhookId}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/webhooks/{webhookId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/webhooks/{webhookId}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "2f1e0d9c-8b7a-4e6d-9c5b-4a3f2e1d0c9b",
"webhook_id": "5e4d3c2b-1a09-4f8e-9d7c-6b5a4f3e2d1c",
"event_id": "evt_4b1d0c9e8f7a6b5c4d3e2f1a0b9c8d7e",
"event_type": "webhook.test",
"status": "delivered",
"attempt": 1,
"response_status": 200,
"response_ms": 184,
"error": null,
"next_attempt_at": null,
"created_at": "2026-10-17T14:19:41.000Z",
"delivered_at": "2026-10-17T14:19:41.000Z",
"redelivery_of": null,
"payload": {
"id": "evt_4b1d0c9e8f7a6b5c4d3e2f1a0b9c8d7e",
"type": "webhook.test",
"created_at": "2026-10-17T14:19:41.000Z",
"workspace_id": "org_2xAmpLe",
"api_version": "2026-10-19",
"data": {
"webhook_id": "5e4d3c2b-1a09-4f8e-9d7c-6b5a4f3e2d1c",
"message": "A test event from Revcenter."
}
}
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}⌘I
Send a test event
curl --request POST \
--url https://api.revcenter.ai/v1/webhooks/{webhookId}/test \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/webhooks/{webhookId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/webhooks/{webhookId}/test"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "2f1e0d9c-8b7a-4e6d-9c5b-4a3f2e1d0c9b",
"webhook_id": "5e4d3c2b-1a09-4f8e-9d7c-6b5a4f3e2d1c",
"event_id": "evt_4b1d0c9e8f7a6b5c4d3e2f1a0b9c8d7e",
"event_type": "webhook.test",
"status": "delivered",
"attempt": 1,
"response_status": 200,
"response_ms": 184,
"error": null,
"next_attempt_at": null,
"created_at": "2026-10-17T14:19:41.000Z",
"delivered_at": "2026-10-17T14:19:41.000Z",
"redelivery_of": null,
"payload": {
"id": "evt_4b1d0c9e8f7a6b5c4d3e2f1a0b9c8d7e",
"type": "webhook.test",
"created_at": "2026-10-17T14:19:41.000Z",
"workspace_id": "org_2xAmpLe",
"api_version": "2026-10-19",
"data": {
"webhook_id": "5e4d3c2b-1a09-4f8e-9d7c-6b5a4f3e2d1c",
"message": "A test event from Revcenter."
}
}
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}{
"error": {
"code": "search_not_found",
"message": "No search with that id in this workspace.",
"details": null,
"request_id": "req_01JABCDEF"
},
"meta": {
"request_id": "req_01JABCDEF"
}
}